Loading...
Searching...
No Matches
meta::id< T > Struct Template Reference
Meta » Trait | Meta » Trait » Invocation

A trait that always returns its argument `T`. It is also an invocable that always returns `T`. More...

`#include <meta/meta.hpp>`

## Public Types

template<typename... >
using | invoke = T
using | type = T

## Detailed Description

template<typename T>
struct meta::id< T >

A trait that always returns its argument `T`. It is also an invocable that always returns `T`.